scala

# ref

#### package ref

Visibility

1. Public
2. All

### Type Members

1. #### class PhantomReference [+T <: AnyRef] extends ReferenceWrapper[T]

2. #### trait Reference [+T <: AnyRef] extends () ⇒ T

3. #### class ReferenceQueue [+T <: AnyRef] extends AnyRef

4. #### trait ReferenceWrapper [+T <: AnyRef] extends Reference[T] with Proxy

5. #### class SoftReference [+T <: AnyRef] extends ReferenceWrapper[T]

6. #### class WeakReference [+T <: AnyRef] extends ReferenceWrapper[T]

   A wrapper class for java.

### Value Members

1. #### object WeakReference

   An extractor for weak reference values

### Ungrouped